aboutsummaryrefslogtreecommitdiff
path: root/package/ipsec-tools/Config.in
blob: d29cb8604c4bb82aab36c05027a787f2aeaf9aad (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
config BR2_PACKAGE_IPSEC_TOOLS
	bool "ipsec-tools"
	select BR2_PACKAGE_OPENSSL
	select BR2_PACKAGE_FLEX
	select BR2_PACKAGE_FLEX_LIBFL
	help
	  This package is required to support IPSec for Linux 2.6+

config BR2_PACKAGE_IPSEC_TOOLS_ADMINPORT
	default y
	depends on BR2_PACKAGE_IPSEC_TOOLS
	bool "Enable racoonctl(8)."
	help
	  Lets racoon to listen to racoon admin port, which is to
	  be contacted by racoonctl(8).

config BR2_PACKAGE_IPSEC_TOOLS_NATT
	depends on BR2_PACKAGE_IPSEC_TOOLS
	bool "Enable NAT-Traversal"
	help
	  This needs kernel support, which is available on Linux. On
	  NetBSD, NAT-Traversal kernel support has not been integrated
	  yet, you can get it from here:

	  http://ipsec-tools.sourceforge.net/netbsd_nat-t.diff If you

	  live in a country where software patents are legal, using
	  NAT-Traversal might infringe a patent.


config BR2_PACKAGE_IPSEC_TOOLS_FRAG
	depends on BR2_PACKAGE_IPSEC_TOOLS
	bool "Enable IKE fragmentation."
	help
	  Enable IKE fragmentation, which is a workaround for
	  broken routers that drop fragmented packets

config BR2_PACKAGE_IPSEC_TOOLS_STATS
	default y
	depends on BR2_PACKAGE_IPSEC_TOOLS
	bool "Enable statistics logging function."

config BR2_PACKAGE_IPSEC_TOOLS_IPV6
	default y
	depends on BR2_PACKAGE_IPSEC_TOOLS && BR2_INET_IPV6
	bool "Enable IPv6 support"
	help
	  This option has no effect if uClibc has been compiled without
	  IPv6 support.

config BR2_PACKAGE_IPSEC_TOOLS_READLINE
	depends on BR2_PACKAGE_IPSEC_TOOLS
	select BR2_PACKAGE_READLINE
	bool "Enable readline input support if available."

config BR2_PACKAGE_IPSEC_TOOLS_LIBS
	bool "Install IPSec libraries under staging_dir/lib"
	default y
	depends on BR2_PACKAGE_IPSEC_TOOLS
	help
	  Install libipsec.a and libracoon.a under staging_dir/lib for further
	  development on a host machine.

if BR2_PACKAGE_IPSEC_TOOLS

choice
	prompt "Security context"
	default BR2_PACKAGE_IPSEC_SECCTX_DISABLE
	help
	  Selects whether or not to enable security context support.

config BR2_PACKAGE_IPSEC_SECCTX_DISABLE
	bool "Disable security context support"

config BR2_PACKAGE_IPSEC_SECCTX_ENABLE
	bool "Enable SELinux security context support"

config BR2_PACKAGE_IPSEC_SECCTX_KERNEL
	bool "Enable kernel security context"

endchoice

endif